---
title: "deleteCloudCacheConfigGroup"
slug: "database-vcache-deletecloudcacheconfiggroup"
updated: 2026-09-17T10:05:51Z
published: 2026-09-17T10:05:51Z
canonical: "api.ncloud-docs.com/database-vcache-deletecloudcacheconfiggroup"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt
> Use this file to discover all available pages before exploring further.
# deleteCloudCacheConfigGroup
Available in VPC
Delete a Cloud DB for Cache config group.
Caution
You can't delete a config group if a configured Redis service exists in the config group. If you want to delete it, then remove all settings for the configured Redis service and try again.
Note
Cloud DB for Cache API offers two versions based on the supported DBMS range.
- deleteCloudCacheConfigGroup API: Support for Valkey and Redis DBMS
- deleteCloudRedisConfigGroup API: Support for Redis DBMS
## deleteCloudCacheConfigGroup API
This section describes the request and response formats for the deleteCloudCacheConfigGroup API.
### Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
| --- | --- |
| GET \| POST | /vcache/v2/deleteCloudCacheConfigGroup |
Note
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
### Request headers
For information about the headers common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) request headers](/docs/en/database-vcache#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94).
#### Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `regionCode` | String | Optional | Region code of the Cloud DB for Cache config group to delete - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). |
| `configGroupNo` | String | Required | Config group number - See [getCloudCacheConfigGroupList](/docs/en/database-vcache-getcloudcacheconfiggrouplist). |
| `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` |
#### Request example
The request example is as follows:
```
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vcache/v2/deleteCloudCacheConfigGroup
?regionCode=KR
&configGroupNo=***9' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
```
### Response
This section describes the response format.
#### Response body
See [CloudCacheConfigGroupList](/docs/en/common-vapidatatype-cloudcacheconfiggrouplist) for the response body.
#### Response status codes
For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) response status codes](/docs/en/database-vcache#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C).
#### Response example
The response example is as follows:
- If `responseFormatType=json`
```
{
"deleteCloudCacheConfigGroupResponse": {
"totalRows": 1,
"cloudCacheConfigGroupList": [
{
"configGroupNo": "***9",
"configGroupName": "test-***-config",
"configGroupDescription": "decription",
"configGroupStatusName": "deleting",
"configGroupStatus": {
"code": "DELETING",
"codeName": "CONFIG GROUP Deleting State"
},
"cloudCacheVersion": "7.0.15-cluster",
"cloudCacheDbmsCode": "Redis",
"createDate": "2024-07-01T16:36:38+0900",
"modifyDate": "2024-07-02T08:45:55+0900"
}
],
"requestId": "94393e32-****-****-****-0ee9285a58b7",
"returnCode": "0",
"returnMessage": "success"
}
}
```
- If `responseFormatType=xml` (default)
```
94393e32-****-****-****-0ee9285a58b7
0
success
1
***9
test-***-config
decription
deleting
DELETING
CONFIG GROUP Deleting State
7.0.15-cluster
Valkey
2024-07-01T16:36:38+0900
2024-07-02T08:45:55+0900
```
## deleteCloudRedisConfigGroup API
This section describes the request and response formats for the deleteCloudRedisConfigGroup API.
### Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
| --- | --- |
| GET \| POST | /vredis/v2/deleteCloudRedisConfigGroup |
Note
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
### Request headers
For information about the headers common to all Cloud DB for Cache APIs, see [Cloud DB for Cache request headers](/docs/en/database-vcache#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94).
#### Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `regionCode` | String | Optional | Region code of the Cloud DB for Cache config group to delete - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). |
| `configGroupNo` | String | Required | Config group number - See [getCloudCacheConfigGroupList](/docs/en/database-vcache-getcloudcacheconfiggrouplist). |
| `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` |
#### Request example
The request example is as follows:
```
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vredis/v2/deleteCloudRedisConfigGroup
?regionCode=KR
&configGroupNo=***9' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
```
### Response
This section describes the response format.
#### Response body
See [ConfigGroupList](/docs/en/common-vapidatatype-cloudredisconfiggrouplist) for the response body.
#### Response status codes
For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) response status codes](/docs/en/database-vcache#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C).
#### Response example
The response example is as follows:
- If `responseFormatType=json`
```
{
"deleteCloudRedisConfigGroupResponse": {
"totalRows": 1,
"cloudRedisConfigGroupList": [
{
"configGroupNo": "***9",
"configGroupName": "test-***-config",
"configGroupDescription": "decription",
"configGroupStatusName": "deleting",
"configGroupStatus": {
"code": "DELETING",
"codeName": "CONFIG GROUP Deleting State"
},
"cloudRedisVersion": "7.0.15-cluster",
"createDate": "2024-07-01T16:36:38+0900",
"modifyDate": "2024-07-02T08:45:55+0900"
}
],
"requestId": "94393e32-****-****-****-0ee9285a58b7",
"returnCode": "0",
"returnMessage": "success"
}
}
```
- If `responseFormatType=xml` (default)
```
94393e32-****-****-****-0ee9285a58b7
0
success
1
***9
test-***-config
decription
deleting
DELETING
CONFIG GROUP Deleting State
7.0.15-cluster
2024-07-01T16:36:38+0900
2024-07-02T08:45:55+0900
```